<?php (defined('BASEPATH')) OR die('No direct script access allowed');

class Api_Controller extends Controller {

	public static $is_loaded;

	function __construct($global_admin = FALSE) {

		parent::Controller();
		
		
		if (!isset(self::$is_loaded)) {

			self::$is_loaded = TRUE;

			$this->load->helper('url');
			
			$this->load->database();

			$this->load->helper(array('uri', 'mcb_currency', 'mcb_invoice', 'mcb_date', 'mcb_icon', 'mcb_custom'));

			$this->load->model(array('mcb_data/mdl_mcb_data'));

			$this->load->library(array('form_validation', 'redir'));

			$this->form_validation->set_error_delimiters('<div class="error">', '</div>');

		}

	}

}

?>